From ea6b664a5cdf830663b182e290938732a6795edc Mon Sep 17 00:00:00 2001
From: Charles Plessy <plessy@debian.org>
Date: Mon, 16 Sep 2013 11:30:41 +0900
Subject: [PATCH] Policy: Control data fields must not start with a hyphen
 character.

Wording: Niels Thykier <niels@thykier.net>
Closes: #706778
---
 debian/changelog         | 3 +++
 policy.sgml              | 2 +-
 upgrading-checklist.sgml | 4 ++++
 3 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index a9cd4df..9183b53 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -44,6 +44,9 @@ debian-policy (3.9.5.0) UNRELEASED; urgency=low
     Seconded: Joey Hess <joeyh@debian.org>
     Seconded: Dmitrijs Ledkovs <xnox@debian.org>
     Closes: #720507
+  * Policy: Control data fields must not start with a hyphen character.
+    Wording: Niels Thykier <niels@thykier.net>
+    Closes: #706778
   * debconf_spec: Document the 'escape' capability.
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
diff --git a/policy.sgml b/policy.sgml
index 2708242..04d0146 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -2542,7 +2542,7 @@ endif
 	  composed of US-ASCII characters excluding control characters,
 	  space, and colon (i.e., characters in the ranges 33-57 and
 	  59-126, inclusive).  Field names must not begin with the comment
-	  character, <tt>#</tt>.
+	  character, <tt>#</tt>, nor with the hyphen character, <tt>-</tt>.
 	</p>
 
 	<p>
diff --git a/upgrading-checklist.sgml b/upgrading-checklist.sgml
index b58b740..883af61 100644
--- a/upgrading-checklist.sgml
+++ b/upgrading-checklist.sgml
@@ -40,6 +40,10 @@ picking your way through this list.
 Unreleased.
 
 </p><p><taglist>
+<tag>5.1</tag>
+  <item>Control data fields must not start with the hyphen character
+  (<tt>-</tt>) because it interferes with clearsigning control data files.
+  </item>
 <tag>5.4, 5.6.24</tag>
   <item><tt>Checksums-Sha1</tt> and <tt>Checksums-Sha256</tt> are now
   mandatory in <file>.dsc</file> files.
-- 
1.8.4.rc3

